from time import *
from esp_grove_4_channel_relay import *

relais = Esp_grove_4_channel_relay()    #crée l'objet relais (instance de la classe Esp_4_channel_relay_grove)
relais.adresse_i2c(0x20)                #adresse I2C de la carte, par defaut 0x11 usine

relais.scan_i2c_adresse()               #scanne les adresse I2C
#relais.change_i2c(0x11,0x20)           #changement d'adresse I2C
#relais.scan_i2c_adresse()

relais.ctrl_global(4)                   #équivaut à relais.ctrl_global(0b0100), commande uniquement le relais n°3
sleep(2)
relais.ctrl_global(0b1100)              #équivaut à relais.ctrl_global(12), commande uniquement les relais n°4 et 3
sleep(2)

relais.ctrl(2,1)                        #commande le relais n°2
sleep(2)
relais.ctrl(2,0)                        #arrête la commande du relais n°2

print("Etat des relais : ", relais.etat())            #retourne un octet représentant l'état des 4 relais

